# makefile for wp2latex for EMX (gcc)
# runs under DOS, linux, solaris and perhaps OS/2
#
GCC=gcc
FLAGS=-Wall -O2 -I../atoms/include/ -DERROR_HANDLER
OBJ=.o


#### OS autodetection part of makefile ####

ifeq ($(GETTEXT),-D__gettext__)
ifeq ($(OSTYPE),)		#-lintl is no longer needed under linux
LIBS=-lintl
endif 
IGETTEXTOBJ=igettext$(OBJ)
endif

# for Linux - debian
ifeq ($(OSTYPE),linux-gnu)
GCC = g++
endif

# for Linux - Slackware
ifeq ($(OSTYPE),linux)
LIBS+= -lstdc++
endif

# for Linux - Red Hat
ifeq ($(OSTYPE),Linux)
LIBS+= -lstdc++
endif
#end of Linux

# for sun
ifeq ($(OSTYPE),solaris)
LIBS=-lm
endif

ifeq ($(OSTYPE),sunos4)
LIBS=-lm -lstdc++
endif
#end of sun

#for OS/2
ifneq "$(OS2_SHELL)" ""
TARGET_NAME = cpbldr.exe
OSTYPE = os2
LIBS=-s -lstdcpp
endif

#Nothing is an indentifier for DOS? Too bad.
ifeq ($(OSTYPE),)
ifeq ($(HOSTTYPE),iris4d)
OSTYPE = iris4d
LIBS=-lm
else
TARGET_NAME = cpbldr.exe
OSTYPE = dos
endif
endif

# for aix
ifeq ($(OSTYPE),aix)
LIBS=-lm
endif
#end of aix


# Uncomment next line for compile a debugging version of WP2LaTeX
#DEBUG=-DDEBUG -g

CODEPAGES=wp4a.enc wp5.enc wp5_cz.enc wp6.enc 
CODEPAGES+=unicode.enc kam.enc koi8cs.enc
CODEPAGES+=is8859_1.enc is8859_2.enc
CODEPAGES+=cp852.enc cp1250.enc cp1251.enc cp1252.enc
CODEPAGES+=mac_roma.enc


######### End of definitions starting compile rules ###########

default: trn.trn
#

.SUFFIXES: .cc $(OBJ) .exe

.cc$(OBJ):
	$(GCC) $(FLAGS) $(DEBUG) -c $*.cc $(ERROR) -o $*$(OBJ) $(GETTEXT)

$(OBJ).exe:
	$(GCC) $(FLAGS) $*$(OBJ) $(LIBS) $(ERROR)

cpbldr: cpbldr$(OBJ) ../atoms/libatoms.a
	$(GCC) -o cpbldr cpbldr$(OBJ) ../atoms/libatoms.a

charactr.cc_ macroman.trn mtef.trn html.trn trn.trn cpg.trn: cpbldr $(CODEPAGES) chars.c_
	./cpbldr



all:	mtef.trn html.trn trn.trn cpg.trn macroman.trn
#	$(TARGET_NAME) -i test/charactr.wp

clean:
	@echo Operating system is $(OSTYPE)
	rm -f *.exe *$(OBJ) *.o *.obj *.bak *.bkp core cplib cpbldr

distclean: clean
	rm -f *.trn
	rm -f internal.enc
	rm -f charactr.cc_
	cp makefile.gen makefile

generic:
	rm makefile
	cp makefile.gen makefile

../atoms/libatoms.a: ../atoms/*.cc
	make -C ../atoms libatoms.a


cpbldr$(OBJ): cpbldr.cc cplib.cc

